=encoding utf8

=head1 NAME

Mail::Box::FastScalar - fast alternative to IO::Scalar

=head1 SYNOPSIS

  my $fh = Mail::Box::FastScalar->new;
  $fh->open(\my $out);

  my $fh = Mail::Box::FastScalar->new(\my $out);

=head1 DESCRIPTION

Extremely fast IO::Scalar replacement - over 20x improvement in
C<getline()> and C<getlines()> methods.

Contributed by "Todd Richmond" (C<richmond@proofpoint.com>)

=head2 Warnings

You cannot modify the original reference between calls unless you
C<$obj->seek(1, 0)> to reset the object - VERY rare usage case.

$/ must be C<undef> or string - "" and \scalar unimplemented

=head1 SEE ALSO

This module is part of Mail-Message version 4.05,
built on April 10, 2026. Website: F<http://perl.overmeer.net/mailbox/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

